using UnityEngine; //You'll probably need this...

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {

















            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Soviet Submachine Gun"), //item to derive from
        NameOverride = "Kriss Vector", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "yeah.", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("vect.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //setting the sprite
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("kriss2.png");

            //getting the FirearmBehaviour for later manipulation
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            //creating a custom cartridge for the gun
            Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
            customCartridge.name = "7.6325mm Mauser"; //set a name
            customCartridge.Damage *= 0.8f; //change the damage however you like
            customCartridge.StartSpeed *= 1.5f; //change the bullet velocity
            customCartridge.PenetrationRandomAngleMultiplier *= 0.5f; //change the accuracy when the bullet travels through an object
            customCartridge.Recoil *= 0.7f; //change the recoil
            customCartridge.ImpactForce *= 0.7f; //change how much the bullet pushes the target

            //set the cartridge to the FirearmBehaviour
            firearm.Cartridge = customCartridge;

            //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("111.wav"),
                ModAPI.LoadSound("111.wav"),
                ModAPI.LoadSound("111.wav"),
            };

            // set the collision box to the new sprite shape
            // this is the easiest way to fix your collision shape, but it also the slowest.
            Instance.FixColliders();
        }
    }
);


            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Soviet Submachine Gun"), //item to derive from
        NameOverride = "Kriss Vector (suppressed)", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "brrrrrrrr.", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("vec.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //setting the sprite
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("kriss.png");

            //getting the FirearmBehaviour for later manipulation
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            //creating a custom cartridge for the gun
            Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
            customCartridge.name = "7.6325mm Mauser"; //set a name
            customCartridge.Damage *= 0.8f; //change the damage however you like
            customCartridge.StartSpeed *= 1.5f; //change the bullet velocity
            customCartridge.PenetrationRandomAngleMultiplier *= 0.5f; //change the accuracy when the bullet travels through an object
            customCartridge.Recoil *= 0.7f; //change the recoil
            customCartridge.ImpactForce *= 0.7f; //change how much the bullet pushes the target

            //set the cartridge to the FirearmBehaviour
            firearm.Cartridge = customCartridge;

            //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("me.wav"),
                ModAPI.LoadSound("me.wav"),
                ModAPI.LoadSound("me.wav"),
            };

            // set the collision box to the new sprite shape
            // this is the easiest way to fix your collision shape, but it also the slowest.
            Instance.FixColliders();
        }
    }
);





            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Soviet Submachine Gun"), //item to derive from
        NameOverride = "PDSW 528", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Cool p90.", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("pp.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //setting the sprite
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("p90.png");

            //getting the FirearmBehaviour for later manipulation
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            //creating a custom cartridge for the gun
            Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
            customCartridge.name = "7.6325mm Mauser"; //set a name
            customCartridge.Damage *= 0.8f; //change the damage however you like
            customCartridge.StartSpeed *= 1.5f; //change the bullet velocity
            customCartridge.PenetrationRandomAngleMultiplier *= 0.5f; //change the accuracy when the bullet travels through an object
            customCartridge.Recoil *= 0.7f; //change the recoil
            customCartridge.ImpactForce *= 0.7f; //change how much the bullet pushes the target

            //set the cartridge to the FirearmBehaviour
            firearm.Cartridge = customCartridge;

            //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("111.wav"),
                ModAPI.LoadSound("111.wav"),
                ModAPI.LoadSound("111.wav"),
            };

            // set the collision box to the new sprite shape
            // this is the easiest way to fix your collision shape, but it also the slowest.
            Instance.FixColliders();
        }
    }
);




                        ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Soviet Submachine Gun"), //item to derive from
        NameOverride = "PDSW 528 (suppressed)", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Cooler p90 with some other stuff added.", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("pS.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //setting the sprite
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("p903.png");

            //getting the FirearmBehaviour for later manipulation
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            //creating a custom cartridge for the gun
            Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
            customCartridge.name = "7.6325mm Mauser"; //set a name
            customCartridge.Damage *= 0.8f; //change the damage however you like
            customCartridge.StartSpeed *= 1.5f; //change the bullet velocity
            customCartridge.PenetrationRandomAngleMultiplier *= 0.5f; //change the accuracy when the bullet travels through an object
            customCartridge.Recoil *= 0.7f; //change the recoil
            customCartridge.ImpactForce *= 0.7f; //change how much the bullet pushes the target

            //set the cartridge to the FirearmBehaviour
            firearm.Cartridge = customCartridge;

            //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("sho.wav"),
                ModAPI.LoadSound("sho.wav"),
                ModAPI.LoadSound("sho.wav"),
            };

            // set the collision box to the new sprite shape
            // this is the easiest way to fix your collision shape, but it also the slowest.
            Instance.FixColliders();
        }
    }
);





            ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Submachine Gun"), //item to derive from
NameOverride = "PDSW 528 (long barrel)", //new item name with a suffix to assure it is globally unique
DescriptionOverride = "P90 but cooler with more stuff..", //new item description
CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
ThumbnailOverride = ModAPI.LoadSprite("pL.png"), //new item thumbnail (relative path)
AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
{
    //setting the sprite
Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("p902.png");

    //getting the FirearmBehaviour for later manipulation
var firearm = Instance.GetComponent<FirearmBehaviour>();

    //creating a custom cartridge for the gun
Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
customCartridge.name = "7.6325mm Mauser"; //set a name
customCartridge.Damage *= 0.8f; //change the damage however you like
customCartridge.StartSpeed *= 1.5f; //change the bullet velocity
customCartridge.PenetrationRandomAngleMultiplier *= 0.5f; //change the accuracy when the bullet travels through an object
customCartridge.Recoil *= 0.7f; //change the recoil
customCartridge.ImpactForce *= 0.7f; //change how much the bullet pushes the target

    //set the cartridge to the FirearmBehaviour
firearm.Cartridge = customCartridge;

    //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
firearm.ShotSounds = new AudioClip[]
{
                ModAPI.LoadSound("111.wav"),
                ModAPI.LoadSound("111.wav"),
                ModAPI.LoadSound("111.wav"),
};

    // set the collision box to the new sprite shape
    // this is the easiest way to fix your collision shape, but it also the slowest.
Instance.FixColliders();
}
}
);


            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Submachine Gun"), //item to derive from
        NameOverride = "FMG9", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "box gun.", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("pmg.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //setting the sprite
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("fmg.png");

            //getting the FirearmBehaviour for later manipulation
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            //creating a custom cartridge for the gun
            Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
            customCartridge.name = "7.6325mm Mauser"; //set a name
            customCartridge.Damage *= 0.8f; //change the damage however you like
            customCartridge.StartSpeed *= 1.5f; //change the bullet velocity
            customCartridge.PenetrationRandomAngleMultiplier *= 0.5f; //change the accuracy when the bullet travels through an object
            customCartridge.Recoil *= 0.7f; //change the recoil
            customCartridge.ImpactForce *= 0.7f; //change how much the bullet pushes the target

            //set the cartridge to the FirearmBehaviour
            firearm.Cartridge = customCartridge;

            //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("111.wav"),
                ModAPI.LoadSound("111.wav"),
                ModAPI.LoadSound("111.wav"),
            };

            // set the collision box to the new sprite shape
            // this is the easiest way to fix your collision shape, but it also the slowest.
            Instance.FixColliders();
        }
    }
);






                        ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"), //item to derive from
        NameOverride = "HK", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "HK rifle.", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("hk1.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //setting the sprite
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("HK.png");

            //getting the FirearmBehaviour for later manipulation
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            //creating a custom cartridge for the gun
            Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
            customCartridge.name = "7.6325mm Mauser"; //set a name
            customCartridge.Damage *= 0.8f; //change the damage however you like
            customCartridge.StartSpeed *= 1.5f; //change the bullet velocity
            customCartridge.PenetrationRandomAngleMultiplier *= 0.5f; //change the accuracy when the bullet travels through an object
            customCartridge.Recoil *= 0.7f; //change the recoil
            customCartridge.ImpactForce *= 0.7f; //change how much the bullet pushes the target

            //set the cartridge to the FirearmBehaviour
            firearm.Cartridge = customCartridge;

            //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("RAH.wav"),
                ModAPI.LoadSound("RAH.wav"),
                ModAPI.LoadSound("RAH.wav"),
            };

            // set the collision box to the new sprite shape
            // this is the easiest way to fix your collision shape, but it also the slowest.
            Instance.FixColliders();
        }
    }
);





                                    ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"), //item to derive from
        NameOverride = "HK (suppressed)", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "shhhhhhhh.", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("hks.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //setting the sprite
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("hk2.png");

            //getting the FirearmBehaviour for later manipulation
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            //creating a custom cartridge for the gun
            Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
            customCartridge.name = "7.6325mm Mauser"; //set a name
            customCartridge.Damage *= 0.8f; //change the damage however you like
            customCartridge.StartSpeed *= 1.5f; //change the bullet velocity
            customCartridge.PenetrationRandomAngleMultiplier *= 0.5f; //change the accuracy when the bullet travels through an object
            customCartridge.Recoil *= 0.7f; //change the recoil
            customCartridge.ImpactForce *= 0.7f; //change how much the bullet pushes the target

            //set the cartridge to the FirearmBehaviour
            firearm.Cartridge = customCartridge;

            //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("sho.wav"),
                ModAPI.LoadSound("sho.wav"),
                ModAPI.LoadSound("sho.wav"),
            };

            // set the collision box to the new sprite shape
            // this is the easiest way to fix your collision shape, but it also the slowest.
            Instance.FixColliders();
        }
    }
);







        }
    }
}